## freeciv 2.3.1-1maemo5v1

=== debian/changelog ===
freeciv (2.3.1-1maemo5v1) fremantle; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 30 Mar 2012 03:05:40 -0400
