=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Ricky Brent <debpkg@rickybrent.com>
XSBC-Original-Maintainer: Debian Freeciv Maintainers <pkg-freeciv-devel@lists.alioth.debian.org>
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=freeciv
Uploaders: Jordi Mallach <jordi@debian.org>, Kyle McMartin <kyle@debian.org>, Clint Adams <schizo@debian.org>, Mikko Vartiainen <mvartiainen@gmail.com>
Standards-Version: 3.8.0
Homepage: http://www.freeciv.org/
Vcs-Svn: svn://svn.debian.org/pkg-freeciv/trunk/freeciv
Vcs-Browser: http://svn.debian.org/wsvn/pkg-freeciv/trunk/freeciv/
Build-Depends: quilt (>= 0.42),
               debhelper (>= 4.0.0),
               gettext,
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxmu-dev,
               libxt-dev,
               libgtk2.0-dev (>= 2.2.1),
               libpng12-dev,
               libreadline4-dev,
               libesd0-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
#              libggz-dev,
               x11proto-core-dev,
               zlib1g-dev,
               autotools-dev,
#              xaw3dg-dev


Package: freeciv-server
Architecture: any
Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0)
Suggests: freeciv-client
Conflicts: freeciv (<< 1.14.0-5)
Replaces: freeciv-data (<< 2.1.0)
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

#Package: freeciv-client-xaw3d
#Architecture: any
#Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0)
#Suggests: freeciv-server, freeciv-sound
#Provides: freeciv-client
#Description: Civilization turn based strategy game (Xaw3D client)
# Freeciv is a free clone of the turn based strategy game Civilization.
# In this game, each player becomes leader of a civilisation, fighting to
# obtain the ultimate goal: the extinction of all other civilisations.
# .
# This is the Xaw3D version of the Freeciv client.

#Package: freeciv-client-gtk
#Architecture: any
#Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0), freeciv-server (>= 2.1.0), ggzcore-bin
#Suggests: freeciv-sound
#Provides: freeciv-client, freeciv
#Description: Civilization turn based strategy game (GTK+ client)
# Freeciv is a free clone of the turn based strategy game Civilization.
# In this game, each player becomes leader of a civilisation, fighting to
# obtain the ultimate goal: the extinction of all other civilisations.
# .
# This is the GTK+ version of the Freeciv client.

Package: freeciv-client-sdl
Architecture: any
Section: user/games
Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.6), freeciv-server (>= 2.1.8)
Suggests: freeciv-sound
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the SDL version of the Freeciv client.
 .
 Game data files can be installed to internal memory card
XB-Maemo-Display-Name: Freeciv
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1woKFTkE9eZW
 ygAACqVJREFUeNqtV1uMndV1/ta+/NdzzpyZ8RkPMx7GxoxxDAZMjA3UGBJC
 uVgNSrg0kUBJCk7V5qFIaZWol0BbqaqUlz70CSeFJjRRW6kkTQjBBmJzacHE
 imsH4tiGhBnPeK6eOdf/si+rD1NbRYXKqrqlrb0ftvb6tPb69vo+YmZczCAi
 umO9SLZcrjZVamJtGKOfyAW2dFwUvmgt0fK5acydmuWTb2bI+SIvpos5d9OY
 qN51c/zw2mG5W0ZiKxE3lHQVwEnnDVvrnS1F2xs131nA8cnT7tDBE/bJtzrc
 /T8DICL6o3vD0fXjwRdrNbW3UpPDAOCMR95zppvZjnWu8N4S4IJIy0qaKB3G
 AdgJLE756ZVl/8TbJ/JvfOuoPcvMvGXz5v5PPXD/VW8fO3bkme99vwcA6sOQ
 /fnvxDdctiF4rFrVn5BKSJt7npkq56fO2B822262l2GdZ5EK0gJQPUl2JtF2
 cOwSumvDxnB43eXB6FCOrw005M7BRv74FZsm3vn0/Q/8cRzHt+ZZ/hCAX3xg
 Bh6+I4yuuVr/1til+qkwVInNUc7NmJ+/dLD3ulCSGgPqnkpFDsexEkEgQFJA
 SgFm4m7mFmeXymeXp/Py+qvUdesvi7ZW+mTYXLbdM7hnvowm6j/+0XOP/OTg
 oe8xs/9AAH/71cp968bU30SxHLUZ3Guv5t9+5x3rGwP6NysVORInJIJIIo4l
 dCABISCkBIFgLSPLHZe5W5idLX6ibdm7dVf6UG1Qq8z24+DR/gNf/8ardzGz
 +x81QET0119Kdl6xOXwhTiltN/3s8z/Ovts9R7vWDKjtlT5BaUWirx4gSQMk
 aQilFZx38BAgqQAPFIVFnpXodkusLJuTMtm8uP2K1o3V6jx1OqZz5Gj341/7
 u95Pz7NEnEfyZ5+PRsbHg8eCUKTesd+/P/vHhRm1va+qrk9TQbWqQrWmkVY1
 okQiSjWSSoi0miBJI0ilQEojqcSI0xDVaojBgWBTmpQ73nhLv5D3nO3rV5Ur
 rwof+8pno+HzcS8AGB8PvhjH8nbv2Bx+I3966qTbVovdzUEsoSIJKAcHC08W
 UaIQxQGiJEKtXkd9YA0GGg30DdQRpQnSaopaX4Io1SDznjKdd0ZePdx92hgu
 G8P6jmuuC/e+D8BNG2SlVpGPCCLZXPYnXjlYtpJQ7AoCglYWMgwhlEAQEpJE
 Q2uFKA6hdAAdJ5BhjCjpQ1IbRJRWECUxhJbQoYSQQLUirzy7wGphoXxLa6Ea
 Q3Lv9etlAgCCiOgz9yVfUEqOCAKe3997xXX5Nq0hdADogKGoizAKUa1VEIUK
 WgswEVQYgESAMK5B6BRBWIUKYugwgAMQRQppGiCMBBp9+pYXXu69CWau9ql1
 v/97yeeJiMSeq2XcGJC3gIGVFds6ftTMKUEblQKkBEgAQjKSmJDEEeIkgQ40
 wjBAoEPEcQqQgvOAEoAUgFYCA/UEaRIiCiW0JsSRHM16Il9csstgYHy9unXP
 R1Ukdu8OJ6wVWwHgzLR9mQxuJyBYDQwoSQi0ALwBfAYRVKF0CK0UrHNotzN0
 OgWIPdqdNkyRwzkD5yyMLdHqdFEUJQAvKjHdPTljDpAAiMTVn7w3nBBhQMPs
 MeQs89I5PisYWwFASIIUBCKAaHVvnQW5NmRYQ7uTwZTl6ixKmDKHsznyvItW
 s4mVZgtlWUIrAogBZsSaxufm/Iox7NljKE3ksFKC+iVxhZjpY7v03pee+a/y
 9ID3gHMeprQwTgKs0e124fwZxLVhFMah2VpAUQJRpEEwKIoe4C1sWcCU9kKl
 MzMEkb5hm/xdCUASVQJB/QqMAEwSzDClh/MM6xjGepQlg72EkgpREEBJCQGA
 4OGKFpodRlFasHOwpQLBg30BOAewAzuLIi/hHIM9YC2jKJlBTERQghAIJgHS
 gCHilw67l7wHTMkoCg9rAfYEaxi9bol2O0O3m6PMSyzOz6HXmgWD4FwBW7QB
 l8GbAqYsVp/FWMABxARnGXlu8dyh8oeLy1yYElSUJBSkNPUBuChmuX6jGhEh
 2HgmYximZOS5h1QlpHawTkBrgSI3yIscIAGfLUAnayBcG96VEMxgZljjYHKL
 1W5NaHUd2plHf0Ou9T0rPQvutgXL7WNqtFJTnxzs53isgTUTV0dkQejkjG7P
 o7QexvFqJhwgSCDLDIyxsKUHew/pDayP4C2h3czRahs0VxwW5kvMLzqcaztE
 FWDLlRq7PypHqxGJ+XOy+e5J+y1lcjO7MC3nw1DX1zQ8No07rF8XYXbOY3GZ
 MTnlsLTo8e57FuyBKHAAMYTgVXYoAaVKEHXhmWCsgRCMSk0gqQlMjAsM9gOD
 KZAmgJcSS00JY+2cDsoZ9ebR8tSdg+r42UlsWl4QiKqqs2YNx8NDJNeNMK67
 UoAJ8BQjLwjNpkeWAUW+WqweQJgSwoiR1Bj1RoAoYLBhoMfwPYItCQWkn1pA
 T4EqSnso7Y69/HJ5Sr34a862z9lDa8fkvUQePz+Wv7LcxODGjXrH+g0KQ6MC
 Ah5BAMQhkA4B8HxetwGKoVKGTAEVr3K+twzkLQFTSizNeMyddTh9Knu7cak4
 c83m8E4HxsyUPbj/lz5XzMzbBunJ++6UX/U1OTLUoC1HjuVP/Ozfs6sAJI2G
 wNgGjeFLJJJUoFqXiBIBHQBCEKQCQKsUMzkja68yqNUWODdfYulcgXbLl6JP
 /GDnb1Tuz7oexrvp7/xz/vfMzAoAfrbEna/sifaRpD/VsRjbtkXv3n+2eEp5
 7F1c8rrbKzBzBohTIE0JYUgII4JShCCQYDC8Z3gmeEcoSkbeY+S5QGvF+2bP
 /9O996RbUNKGEuyaXb/vpzO++z5ROj1p9xHRjsqgvGvkUnnHPZ+58fRy1ij+
 7Zl/5W4HgbVA3APyjBGGjCACtCII6UBEq5+nB0wJGAPkPUaWset5+s7H7o6z
 oVg+2OswvLI/mpwq932gJPvctXLHJWP6xagu0iiqYXqucfy5Hxx/IWA8LICa
 lEAYAUG4up7vmCAADHi3GtwYIMuQ9Sz+Yc8DCW8Y1A+YDH0y8p3ZJfPxv3w6
 vyDJ3idKlZT6Sw/e/Ubd/WKb89OQAM6cdgfe/pU7sLLobxPAdQJoEK0GFnK1
 /V4A4AHjsGw8/mPdR9SLN98Y3FAjuSfvAWGVp7qle/RPvtn7l/8ugi88gdZa
 PfjQQ789sfP6TaffDKf4vcmBsC7Txqj6xA11+ZEzk/b5t95z+8uCxwnYJS0m
 yCIhAJ6Qe+BdD7we1emXt92irxjrV4+4Lo01S4+kjk6n9I+e/JV99kOd0R88
 +uhNl01c/u3XX3vtu68cPPT1HWJ288CQfDzqF7dLLaQSBJRsmx1/vHT8ugFO
 eHBJAkgSoSsJNtWqcmc9EddqEWhrgawoXVDl/R3jH/+LJ7PD/6s1+/Iffnlg
 ZWVl54v7D7z268nJFhHRnkGMDKyVe6NE7BWJGBFEEARIYoDhPLMdGo5Qqyml
 FKQ1QJ55eO8R9LkZw/xEu/D7/uqp/OyHmdWLMqdbq1S5dlR+IU7pFitoKxGG
 lERFEGS1JiEUuTCWbRVgQcfuuFP+4PefNU8ennLd/xd3fJ4lN69BfNmomBBa
 DCuFfpIIlAKkQhlUaDmuiNkjR8yp50747GLt+X8CTRJpI6UvnV0AAAAASUVO
 RK5CYII=
 ====



Package: freeciv-data
Architecture: all
Conflicts: freeciv (<< 1.14.0-5)
Depends: 
Replaces: freeciv-client-gtk (<< 2.1.0), freeciv-server (<< 2.1.0)
Description: Civilization turn based strategy game (game data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

#Package: freeciv-sound-standard
#Architecture: all
#Provides: freeciv-sound
#Description: Civilization turn based strategy game (standard sound pack)
# Freeciv is a free clone of the turn based strategy game Civilization.
# In this game, each player becomes leader of a civilisation, fighting to
# obtain the ultimate goal: the extinction of all other civilisations.
# .
# This is the standard sound pack for Freeciv. It provides Freeciv clients
# with a set of sounds for different events and actions in the game.
