## freeciv 2.3.1-1maemo5v3

=== debian/changelog ===
freeciv (2.3.1-1maemo5v3) fremantle; urgency=low

  * new upstream relase 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 15:26:51 -0400

freeciv (2.3.1-1maemo5v2) fremantle; urgency=low

  * enable sound

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 30 Mar 2012 06:13:30 -0400
