=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
                libreadline4-dev,
                libesd0-dev,
                libsdl-image1.2-dev,
-               libsdl-mixer1.2-dev,
+#              libsdl-mixer1.2-dev,
+               libsdl-mixeroggwav1.2-dev,
 #              libggz-dev,
                x11proto-core-dev,
                zlib1g-dev,
@@ -32,7 +33,7 @@
 
 Package: freeciv-server
 Architecture: any
-Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0)
+Depends: ${shlibs:Depends}, freeciv-data (>= 2.3.0)
 Suggests: freeciv-client
 Conflicts: freeciv (<< 1.14.0-5)
 Replaces: freeciv-data (<< 2.1.0)
@@ -57,7 +58,7 @@
 
 #Package: freeciv-client-gtk
 #Architecture: any
-#Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0), freeciv-server (>= 2.1.0), ggzcore-bin
+#Depends: ${shlibs:Depends}, freeciv-data (>= 2.3.0), freeciv-server (>= 2.3.0)
 #Suggests: freeciv-sound
 #Provides: freeciv-client, freeciv
 #Description: Civilization turn based strategy game (GTK+ client)
@@ -70,8 +71,8 @@
 Package: freeciv-client-sdl
 Architecture: any
 Section: user/games
-Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.6), freeciv-server (>= 2.1.8)
-Suggests: freeciv-sound
+Depends: ${shlibs:Depends}, freeciv-data (>= 2.3.0), freeciv-server (>= 2.3.0)
+#Suggests: freeciv-sound
 Provides: freeciv-client, freeciv
 Description: Civilization turn based strategy game (SDL client)
  Freeciv is a free clone of the turn based strategy game Civilization.
@@ -165,6 +166,7 @@
 
 #Package: freeciv-sound-standard
 #Architecture: all
+#Depends: ${misc:Depends}
 #Provides: freeciv-sound
 #Description: Civilization turn based strategy game (standard sound pack)
 # Freeciv is a free clone of the turn based strategy game Civilization.
