=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 	ln -sf /usr/share/misc/config.guess bootstrap/config.guess
 
 	mkdir build-server
-	(cd build-server && ../configure $(COMMON_CONFIG) --disable-client  \
+	(cd build-server && ../configure $(COMMON_CONFIG) --disable-client   \
 		--without-ggz-client && \
 	$(MAKE) CFLAGS="$(CFLAGS)")
 
@@ -89,7 +89,7 @@
 	(cd build-gtk && \
 	../configure $(COMMON_CONFIG) --disable-server --enable-client=gtk-2.0 \
 		 --without-ggz-server --enable-noregistry && \
-	$(MAKE) CFLAGS="$(CFLAGS)")
+	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="-lX11")
 	
 	touch build-gtk-stamp
 
@@ -102,7 +102,7 @@
 
 	mkdir build-sdl
 	(cd build-sdl && \
-	../configure $(COMMON_CONFIG) --disable-server --enable-client=sdl  \
+	../configure $(COMMON_CONFIG) --disable-server --enable-client=sdl   \
 		 --without-ggz-client --without-ggz-server && \
 	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="-lX11")
 	
@@ -144,6 +144,11 @@
 #	mv debian/tmp/usr/games/civclient debian/tmp/usr/games/civclient-gtk
 #	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/ggz/modules/freeciv
 #	cp build-gtk/data/civclient.dsc debian/tmp/usr/share/ggz/modules/freeciv
+	mkdir -p debian/tmp/usr/bin/
+#	ln -s /opt/freeciv/bin/freeciv-gtk2 debian/tmp/usr/bin/
+#	cp debian/civclient-gtk.sh debian/tmp/opt/freeciv/bin
+#	cp debian/civclient-gtk.sh debian/tmp/usr/bin/
+
 
 	(cd build-sdl; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
 		localedir=$(DESTDIR)/usr/share/locale install)
@@ -178,6 +183,10 @@
 	cp debian/freeciv-client-sdl.desktop debian/tmp/usr/share/applications/hildon
 	cp debian/freeciv-client-sdl.service debian/tmp/usr/share/dbus-1/services
 
+#	cp debian/freeciv-client-gtk.desktop debian/tmp/usr/share/applications/hildon
+#	cp debian/freeciv-client-gtk.service debian/tmp/usr/share/dbus-1/services
+
+
 	# Move stuff that gets lost thanks to ${datadir}
 	#mv debian/tmp/usr/share/games/icons debian/tmp/usr/share
 
@@ -225,13 +234,3 @@
 #	dh_installmenu -a
 	dh_strip -a
 	dh_compress -a
-	dh_fixperms  -a
-	dh_installdeb -a
-	dh_shlibdeps -a
-	dh_gencontrol -a
-	#maemo-optify
-	dh_md5sums -a
-	dh_builddeb -a
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary
