## freeciv 2.3.2

=== debian/changelog ===
freeciv (2.3.2-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1177548)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 08 May 2013 17:25:24 +0200

freeciv (2.3.2-1) unstable; urgency=low

  * Update to latest upstream version
  * Enable build time hardening flags, thanks to Moritz M"uhlenhoff for
    assistance in this process. (Closes: #654809)
  * Update to policy 3.9.3
  * Amend short description of freeciv-client-extras (Closes: #656708)
  * Add backporting information to README.source
  * Fix dependency information to reduce chance of unwitting bugs.
  * Suggest freeciv-client-extras in freeciv-client-gtk
  * Change libpng build dependency away from 1.2 (Closes: #662333)
  * Remove GGZ dependencies (Closes: #655399)
  * Remove ggz.modules if we were the only entry. This should make the
    package piuparts clean.

 -- Karl Goetz <karl@kgoetz.id.au>  Sat, 21 Apr 2012 07:46:55 +1000
