=== debian/watch ===
version=3

http://download.gna.org/freeciv/stable/freeciv-(.+)\.tar\.bz2 \
	debian uupdate
