## freeciv 2.3.2-1maemo5v1

=== debian/changelog ===
freeciv (2.3.2-1maemo5v1) fremantle; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Thu, 12 Apr 2012 04:08:31 -0400
