=== debian/changelog ===
freeciv (2.3.4-1) unstable; urgency=low

  * New upstream version.  closes: #699296.
    - Fixes CVE-2012-5645.  closes: #696306.
    - Fixes CVE-2012-6083.
  * Bump to Standards-Version 3.9.4.

 -- Clint Adams <clint@debian.org>  Sun, 28 Jul 2013 15:40:34 -0400
