=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Clint Adams <clint@debian.org>, Karl Goetz <karl@kgoetz.id.au>
Standards-Version: 3.9.4
Homepage: http://www.freeciv.org/
Vcs-Git: git://git.debian.org/git/pkg-games/freeciv.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/freeciv.git;a=summary
Build-Depends: debhelper (>= 7.0.50),
               dpkg (>= 1.15.7),
               dh-autoreconf,
               gettext,
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxmu-dev,
               libxt-dev,
               libgtk2.0-dev,
               libpng-dev | libpng12-dev,
               libreadline-dev,
               libesd0-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               x11proto-core-dev,
               xaw3dg-dev,
               zlib1g-dev,
               autotools-dev,
               liblua5.1-0-dev,
               libbz2-dev,
               gnulib,
               python-minimal

# Remaining build-deps required to remove the tolua dependency. These
# Can't be added until upstream stop using a mangled copy of their own.
# libtolua-dev,
# libtolua++5.1-dev

Package: freeciv-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
Suggests: freeciv-client
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

Package: freeciv-client-xaw3d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
Recommends: freeciv-server (>= 2.3.0)
Suggests: freeciv-sound
Provides: freeciv-client
Description: Civilization turn based strategy game (Xaw3D client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Xaw3D version of the Freeciv client.

Package: freeciv-client-gtk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
Recommends: freeciv-server (>= 2.3.0)
Suggests: freeciv-sound, freeciv-client-extras
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (GTK+ client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK+ version of the Freeciv client.

Package: freeciv-client-sdl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data, ttf-dejavu-core, fonts-ipafont-gothic | fonts-japanese-gothic | ttf-sazanami-gothic, ttf-unfonts-core, ttf-arphic-uming
Recommends: freeciv-server (>= 2.3.0)
Suggests: freeciv-sound
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the SDL version of the Freeciv client.

Package: freeciv-client-extras
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
Description: Civilization turn based strategy game (miscellaneous extras)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is a collection of supporting scripts and tools which may be
 useful to a Freeciv player. These include:
  * freeciv-manual: Generate an HTML manual for freeciv-server
  * freeciv-modpack: GTK+ modpack, ruleset and tileset downloader

Package: freeciv-data
Architecture: all
Depends: ${misc:Depends}
Description: Civilization turn based strategy game (game data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

Package: freeciv-sound-standard
Architecture: all
Depends: ${misc:Depends}
Provides: freeciv-sound
Description: Civilization turn based strategy game (standard sound pack)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the standard sound pack for Freeciv. It provides Freeciv clients
 with a set of sounds for different events and actions in the game.
